# qt from QMF git repository
# git clone git://gitorious.org/qt-labs/messagingframework.git
%define git 1
#define gitdate %(date +%Y%m%d)
%define gitdate 20110807

%define major 1
%define libqmfmessageserver %mklibname qmfmessageserver %major
%define libqmfutil %mklibname qmfutil %major
%define libqmfclient %mklibname qmfclient %major
%define libnamedev %mklibname %name -d

Name:		qmf
Summary:	Qt Messaging Framework (QMF)
Group:		Development/Other
Version:	2.0
Release:	%mkrel -c %{gitdate} 2
License:	LGPLv2.1 with exception or GPLv3
URL:		http://qt.gitorious.org/qt-labs/messagingframework
Source0:	%{name}%{?!git:-%{version}}%{?git:-%{gitdate}}.tar.xz
Source1:	qmf.sh
Source2:	qmf-messageserver.desktop
Patch0:		fix_docs_installation.patch
Patch1:		qmf-1.2.0-fix_plugins_and_tests_installation_path_for_x86.patch
Patch2:		qmf-1.2.0-fix_plugins_and_tests_installation_path_for_x86_64.patch
Patch3:		qmf-1.2.0-no_rpath_tests_benchmarks.patch
Patch4:		qmf-1.2.0-add_headers.patch
Patch5:		qmf-1.2.0-fix-lib-install.patch
BuildRequires:  qt4-devel
BuildRequires:  qt4-assistant qt4-qdoc3
BuildRequires:  fdupes
Requires:	%{libqmfmessageserver} = %{version}-%{release}
Requires:	%{libqmfclient} = %{version}-%{release}

%description
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains:
 - a server application supporting multiple messaging transport mechanisms.

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/profile.d/%{name}.sh
%config %{_sysconfdir}/xdg/autostart/messageserver.desktop
%{_bindir}/messageserver
%dir %{_libdir}/qmf/plugins/messageservices/
%{_libdir}/qmf/plugins/messageservices/libimap.so
%{_libdir}/qmf/plugins/messageservices/libpop.so
%{_libdir}/qmf/plugins/messageservices/libqmfsettings.so
%{_libdir}/qmf/plugins/messageservices/libsmtp.so


#--------------------------------------------------------------------
%package -n %{libqmfmessageserver}
Summary:	Qt Messaging Framework (QMF) message server support library
Group:		System/Libraries

%description -n %{libqmfmessageserver}
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

The MessageServer application is a daemon, designed to run continuously while
providing services to client applications. It provides messaging transport
functionality, communicating with external servers on behalf of Messaging
Framework client applications. New types of messaging (such as Instant
Messages or video messages) can be handled by the server application without
modification to existing client applications.

This package contains:
 - the message server support library. It provides assistance in developing GUI
   clients that access messaging data.

%files -n %{libqmfmessageserver}
%defattr(-,root,root,-)
%{_libdir}/libqmfmessageserver.so.%{major}*


#--------------------------------------------------------------------
%package -n %{libqmfclient}
Summary:	Qt Messaging Framework (QMF) client library
Group:		System/Libraries

%description -n %{libqmfclient}
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

The Client library provides classes giving access to all messages stored on
the device, via a uniform interface. It simplifies the task of creating
messaging client applications, and permits other Messaging Framework
applications to interact with messaging data where appropriate. New types of
messages can be supported by the library without modification to existing
client applications.

This package contains a library for developing applications that work with
messages.

%files -n %{libqmfclient}
%defattr(-,root,root,-)
%{_libdir}/libqmfclient.so.%{major}*
%dir %{_libdir}/qmf/
%dir %{_libdir}/qmf/plugins/
%dir %{_libdir}/qmf/plugins/contentmanagers/
%{_libdir}/qmf/plugins/contentmanagers/libqmfstoragemanager.so


#--------------------------------------------------------------------
%package -n %{libqmfutil}
Summary:	Qt Messaging Framework (QMF) messaging client utility library
Group:		System/Libraries

%description -n %{libqmfutil}
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the messaging client utility library. It provides
assistance in developing plugins for the Message Server daemon.

%files -n %{libqmfutil}
%defattr(-,root,root,-)
%{_libdir}/libqmfutil.so.%{major}*


#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Qt Messaging Framework Development Files
Group:		Development/Other
Requires:	%{libqmfmessageserver} = %{version}-%{release}
Requires:	%{libqmfclient} = %{version}-%{release}
Requires:	%{libqmfutil} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the development files needed to build Qt applications
using Qt Messaging Framework libraries.

%files -n %{libnamedev}
%defattr(-,root,root,-)
%{_includedir}/qmfmessageserver/
%{_includedir}/qmfclient/
%{_libdir}/libqmfmessageserver.prl
%{_libdir}/libqmfmessageserver.so
%{_libdir}/libqmfutil.so
%{_libdir}/libqmfclient.prl
%{_libdir}/libqmfclient.so
%{_libdir}/pkgconfig/qmfmessageserver.pc
%{_libdir}/pkgconfig/qmfclient.pc


#--------------------------------------------------------------------
%package examples
Summary:	Qt Messaging Framework (QMF) Examples
Group:		System/X11
Requires:	%{libqmfmessageserver} = %{version}-%{release}
Requires:	%{libqmfclient} = %{version}-%{release}
Requires:	%{libqmfutil} = %{version}-%{release}

%description examples
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

The Messages example client application provides an implementation of standard
functionality for creating and viewing messages.

This package contains an example client application supporting common
messaging functionality.

%files examples
%defattr(-,root,root,-)
%{_bindir}/messagingaccounts
%{_bindir}/qtmail
%{_bindir}/serverobserver
%dir %{_libdir}/qmf/plugins/composers/
%{_libdir}/qmf/plugins/composers/libemailcomposer.so
%dir %{_libdir}/qmf/plugins/viewers/
%{_libdir}/qmf/plugins/viewers/libgenericviewer.so


#--------------------------------------------------------------------
%package tests
Summary:	Qt Messaging Framework (QMF) Tests
Group:		System/X11
Requires:	%{libqmfmessageserver} = %{version}-%{release}
Requires:	%{libqmfclient} = %{version}-%{release}

%description tests
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the tests for Qt Messaging Framework (QMF).

%files tests
%defattr(-,root,root,-)
%dir %{_docdir}/qmf/
%{_libdir}/qmf/tests/


#--------------------------------------------------------------------
%package doc
Summary:	Qt Messaging Framework (QMF) - documentation
Group:		Books/Howtos
BuildArch:	noarch

%description doc
The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
process that can be used to build email clients, and more generally software
that interacts with email and mail servers.

This package contains the documentation for Qt Messaging Framework (QMF).

%files doc
%defattr(-,root,root,-)
%dir %{_docdir}/qmf/
%{_docdir}/qmf/qch/
%{_docdir}/qmf/html/


#--------------------------------------------------------------------
%prep
%setup -q %{?git:-n %{name}}
%patch0 -p1 -b .fix_docs_installation
%ifarch %ix86
%patch1 -p1 -b .fix_plugins_and_tests_installation_for_arch_x86
%else
%patch2 -p1 -b .fix_plugins_and_tests_installation_for_arch_x86_64
%patch5 -p1 -b .fix-lib-install_for_arch_x86_6x4
%endif
%patch3 -p1 -b .no_rpath_tests_benchmarks
%patch4 -p1 -b .add_headers

%build
%qmake_qt4 \
    QMF_INSTALL_ROOT=%{_prefix} \
    CONFIG+=syslog

%make

%install
rm -rf %{buildroot}

%makeinstall INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/autostart/messageserver.desktop

%fdupes %{buildroot}%{_includedir}




%changelog
* Mon Aug 08 2011 ze <ze> 2.0-0.20110807.2.mga2
+ Revision: 132319
- bump release
- clean doubled buildrequire
- set requires to release since this is git based
- set a fix git date
- fix typo
- add missing provide
- add missing provides for devel package and some minor touches
- fix folders owning for uninstall
- fix groups
- use git repo (revision a91fd17..d41526f)
- use date versioning
- imported package qmf


* Sun Jul 31 2011 Zé <ze@mandriva.org> 1.0.7-1
- import to mageia
- prepare spec
- update and fix needed patches

* Mon Apr  4 2011 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2011w13
- Update to 1.0.7~2011w13 (BMC#15206)
* Fri Mar 25 2011 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2011w11
- Update to 1.0.7~2011w11 and switch to upstream QMF
- Update URL
- Remove BuildRequires: accounts-qt, libsignon-qt and signon-plugins
- Update files list
* Tue Feb 15 2011 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2011w06
- Update to 1.0.7~2011w06 (BMC#13743)
* Fri Feb 11 2011 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2011w04
- Update to 1.0.7~2011w04
* Tue Feb  8 2011 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2011w03
- Update to 1.0.7~2011w03
* Mon Jan 24 2011 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2011w02
- Update to 1.0.7~2011w02 (BMC#12861)
* Fri Dec 10 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2010w48
- Update to 1.0.7~2010w48
- Fix unable to create an account using qtmail (BMC#10672)
* Fri Nov 26 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2010w46
- Update to 1.0.7~2010w46 (BMC#10519)
- Revert CONFIG+=syslog
- Use ExtraSources to install files
* Wed Nov  3 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2010w43
- Update to 1.0.7~2010w43
- Remove CONFIG+=syslog (not needed anymore)
* Fri Oct  1 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0.7~2010w36
- Update to 1.0.7~2010w36
- Update patches to apply against the new release
- Add QMake QMF_INSTALL_ROOT option
- Adjust packages name (upstream changed QMF libraries name):
  libmessageserver1 -> libqmfmessageserver1
  libqtopiamail1 -> libqmfclient1
- Remove Provides/Obsoletes messagingframework, no longer needed since
  the upstream libraries naming changes
- Update %%files according to the new naming scheme
* Wed Sep 29 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0~2010w35
- Add desktop file to autostart messageserver (BMC#5881)
* Tue Sep 28 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0~2010w35
- Set QMF_PLUGINS environment variable (BMC#7518)
* Wed Sep 15 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0~2010w35
- Update to 2010w35
- Add 05_accounts_creation.patch (BMC#5953)
- Add libsignon-qt and signon-plugins BuildRequires
- Use qmake builder
- Pass CONFIG+=syslog to get debug messages in the syslog
* Tue Aug 24 2010 Bernd Wachter <ext-bernd.wachter@nokia.com> - 1.0~2010w31
- Update to latest upstream version
- Remove obsolete 03_add_qch_documentation.patch
- Update 02_fix_installation_paths.patch
- Package html documentation
* Tue Aug 24 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0~2010w23
- Add libqtsql4-sqlite missing Requires on libmessageserver1 (BMC#5674)
* Wed Jul 21 2010 Fathi Boudra <fathi.boudra@nokia.com> - 1.0~2010w23
- Update tarball to commit ff2ff03 by sergk on Thu Jun 17
- Rewrite from scratch for MeeGo
- Rename messagingframework source package to qmf
- Split the binaries packages
- Add patches:
  02_fix_installation_paths.patch
  03_add_qch_documentation.patch
  04_no_rpath_tests_benchmarks.patch
- Drop patches:
  install-plugins-under-usr-lib-qt-plugins.patch
  install-tests-under-qtdir.patch
* Tue Jul  6 2010 Anas Nashif <anas.nashif@intel.com> - 2010W23
- Fixed URL, point to meego.gitorious.org
- Fixed pkgconfig build requires
* Tue Jun 22 2010 Bernd Wachter <ext-bernd.wachter@nokia.com> - 2010W23
- Update source
- Merge package with old nokia version
- Enable accounts subsystem
* Sat Mar 13 2010 Kaitlin Rupert <kaitlin.rupert@linux.intel.com> - 1.0
- Update source
- Install plugins to QT plugin install location
- Include libraries in source package, sym links to libraries in devel package
* Thu Mar  4 2010 Kaitlin Rupert <kaitlin.rupert@linux.intel.com> - 1.0
- Initial import
